Name: twm
Version: 1.0.11
Release: %mkrel 1
Summary: Tab Window Manager for the X Window System
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: system.twmrc
Source3: twm.xpm
Source4: twm.xpm.large
Source5: twm.xpm.mini
License: MIT
Requires: desktop-common-data
Requires: x11-font-misc

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: flex
BuildRequires: byacc

%description
Twm is a window manager for the X Window System. It provides titlebars, shaped
windows, several forms of icon management, user-defined macro functions,
click-to-type and pointer-driven keyboard focus, and user-specified key and
pointer button bindings.

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS -DSYSTEM_INIT_FILE='\"%{_sysconfdir}/X11/twm/system.twmrc\"'" \
%configure

%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_sysconfdir}/X11/twm
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/X11/twm/system.twmrc-menu

#install icons
mkdir -p %{buildroot}%{_datadir}/icons/large
mkdir -p %{buildroot}%{_datadir}/icons/mini
install -m0644 %{SOURCE3} %{buildroot}%{_datadir}/icons/twm.xpm
install -m0644 %{SOURCE4} %{buildroot}%{_datadir}/icons/large/twm.xpm
install -m0644 %{SOURCE5} %{buildroot}%{_datadir}/icons/mini/twm.xpm

%files
%config(noreplace) %{_sysconfdir}/X11/twm
%{_bindir}/twm
%{_mandir}/man1/twm.*
%{_datadir}/icons/twm.xpm
%{_datadir}/icons/*/twm.xpm
%_datadir/X11/twm/system.twmrc






%changelog
* Wed Aug 26 2020 tv <tv> 1.0.11-1.mga8
+ Revision: 1619117
- 1.0.11

* Fri Feb 14 2020 umeabot <umeabot> 1.0.10-3.mga8
+ Revision: 1517523
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.10-2.mga7
+ Revision: 1301482
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.0.10-1.mga7
+ Revision: 1207529
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.0.9-2.mga6
+ Revision: 959064
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 tv <tv> 1.0.9-1.mga6
+ Revision: 864835
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 745059
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-3.mga5
+ Revision: 689997
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 534453
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 477931
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 384928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.0.7-1.mga2
+ Revision: 131020
- new release

* Sat Mar 19 2011 nanardon <nanardon> 1.0.6-1.mga1
+ Revision: 74423
- imported package twm

